package com.ynet.life.base;

import com.ynet.gene.component.factory.GENEFlowComponentFactory;
import com.ynet.gene.web.servlet.Initializer;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/LifeMVCInitializer.class */
public class LifeMVCInitializer implements Initializer {
    private static final String XML_FILE_LOCATION = "/WEB-INF/commons/resource.xml";
    protected static final String SQL_SELECT_ERRORINFO = "SELECT ERC_ERRCODE, ERC_LANGUAGE, ERC_SHOWMSG, ERC_LEVEL, ERC_RETURNPAGE FROM  PUB_ERRCODE";

    public void initialize(GENEFlowComponentFactory factory) throws Exception {
        LifeStandard.setFactory(factory);
        LifeStandard.setRootContext(factory.getContextNamed(factory.getRootContextName()));
        Connection connection = null;
        try {
            Connection connection2 = LifeDBAccess.getConnection();
            connection = connection2;
            Map errorMessageTable = initErrorMessage(connection2);
            List sysParamMap = new ArrayList();
            LifeStandard.initialize(null, null, errorMessageTable, sysParamMap, null);
            if (connection != null) {
                LifeDBAccess.releaseConnection(connection);
            }
        } catch (Throwable th) {
            if (connection != null) {
                LifeDBAccess.releaseConnection(connection);
            }
            throw th;
        }
    }

    protected static Map initErrorMessage(Connection connection) throws TranFailException {
        Map errorMessageTable = new HashMap();
        List resultList = LifeDBAccess.queryMultipleResult(connection, SQL_SELECT_ERRORINFO, null, 5);
        int resultSize = resultList.size();
        for (int i = 0; i < resultSize; i++) {
            List innerList = (List) resultList.get(i);
            String errorCode = (String) innerList.get(0);
            String language = (String) innerList.get(1);
            String showMessage = (String) innerList.get(2);
            int level = Integer.parseInt((String) innerList.get(3));
            String returnPage = (String) innerList.get(4);
            innerList.get(5);
            addErrInfo(errorMessageTable, new LifeErrorInfo(errorCode, language, showMessage, level, returnPage));
        }
        return errorMessageTable;
    }

    public static void addErrInfo(Map errorMessageTable, LifeErrorInfo errorInfo) {
        String key = String.valueOf(errorInfo.getErrorCode()) + '-' + errorInfo.getLanguage();
        errorMessageTable.put(key, errorInfo);
    }
}
